import React from 'react';
import { Button as MuiButton, SxProps } from '@mui/material';
import {
  ExpandMore as ReadMoreIcon,
  ExpandLess as ReadLessIcon
} from '@mui/icons-material';
import { Button } from '@/components/ui/button';

interface Props {
  isExpanded: boolean;
  onClick: () => void;
  sx?: SxProps;
}

export const ExpandButton = ({ isExpanded, onClick, sx }: Props) => {
  return (
    <Button
      style={
        {
          // color: 'common.white'
        }
      }
      onClick={onClick}
    >
      {isExpanded ? (
        <ReadLessIcon sx={{ color: 'common.white' }} />
      ) : (
        <ReadMoreIcon sx={{ color: 'common.white' }} />
      )}
    </Button>
  );
};
